Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039070
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 09. Financial managementmajorsometimes2018-07-30 18:052018-12-11 20:22
Reportereduardo_ArgalView Statuspublic 
Assigned ToTriage Finance 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision6ce7b150e9e2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039070: Hook required to extend Add Multiple Payments window (P&E)

DescriptionDue to customer requirements Add Multiple Payments window has been extended as a custom dev.
For that purpose a new hook was added which needs to be contributed.
Steps To ReproduceWhen adding a new grid to the P&E there is the need to add a new hook to handle this new component.
Proposed SolutionFind the patch attached
TagsNo tags attached.
Attached Files? file icon AddMultiplePaymentsHook.exp [^] (15,905 bytes) 2018-07-30 18:05

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107779)
hgbot (developer)
2018-11-07 15:11

Repository: erp/devel/pi
Changeset: 6ce7b150e9e2640e792706265a50264f3b9ee43a
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Wed Nov 07 08:22:46 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6ce7b150e9e2640e792706265a50264f3b9ee43a [^]

Fixed issue 39070 Adds After Process Hook

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddMultiplePaymentsHandler.java
A modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddMultiplePaymentsProcessAfterProcessHook.java
---
(0107780)
Sandrahuguet (developer)
2018-11-07 15:13

Code review + testing OK
(0108453)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-30 18:05 eduardo_Argal New Issue
2018-07-30 18:05 eduardo_Argal Assigned To => Triage Finance
2018-07-30 18:05 eduardo_Argal File Added: AddMultiplePaymentsHook.exp
2018-07-30 18:05 eduardo_Argal Modules => Core
2018-07-30 18:05 eduardo_Argal Triggers an Emergency Pack => No
2018-11-07 15:11 hgbot Checkin
2018-11-07 15:11 hgbot Note Added: 0107779
2018-11-07 15:11 hgbot Status new => resolved
2018-11-07 15:11 hgbot Resolution open => fixed
2018-11-07 15:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6ce7b150e9e2640e792706265a50264f3b9ee43a [^]
2018-11-07 15:13 Sandrahuguet Review Assigned To => Sandrahuguet
2018-11-07 15:13 Sandrahuguet Note Added: 0107780
2018-11-07 15:13 Sandrahuguet Status resolved => closed
2018-11-07 15:13 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108453


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker